---
title: bounds_check
type: condition
status: stable
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     lib/condition/bounds_check.go
-->

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';


Checks a message against a set of bounds, if any bound fails then this condition
resolves to false.


<Tabs defaultValue="common" values={[
  { label: 'Common', value: 'common', },
  { label: 'Advanced', value: 'advanced', },
]}>

<TabItem value="common">

```yaml
# Common config fields, showing default values
bounds_check:
  max_part_size: 1073741824
  min_part_size: 1
```

</TabItem>
<TabItem value="advanced">

```yaml
# All config fields, showing default values
bounds_check:
  max_part_size: 1073741824
  min_part_size: 1
  max_parts: 100
  min_parts: 1
```

</TabItem>
</Tabs>

## Fields

### `max_part_size`

The maximum size of a message to allow (in bytes)


Type: `number`  
Default: `1073741824`  

### `min_part_size`

The minimum size of a message to allow (in bytes)


Type: `number`  
Default: `1`  

### `max_parts`

The maximum size of message batches to allow (in message count)


Type: `number`  
Default: `100`  

### `min_parts`

The minimum size of message batches to allow (in message count)


Type: `number`  
Default: `1`  


